/*Navigationsmenü*/
@media (max-width: 580px){
    .raster {
        display: block;
    }

   .nav-links {
        display: flex;
        flex-direction: column;
        align-items: flex-start; 
        padding: 0;
        margin: 0;
        margin-bottom: 10px;
        background-color: #fff;
    }
    
    
     .nav-links a {
        text-align: left; 
        color: #000;
        padding: 0;
    }
    
    .nav-links a:hover {
        color: #ff3a3a; 
        transform: translateX(+5px); 
    transition: 0.3s ease;
    }
}

/* Standard: Heller Modus */
body {
    background-color: white;
    color: black;
    transition: background 0.3s, color 0.3s;
}

/* Dark Mode */
body.dark-mode {
    background-color: black;
    color: white;
}

body.dark-mode a {
    color: #fff;
}

.dark-mode nav  a {
    color: white;
}

body.dark-mode a:hover  {
    color: #ff3a3a;

}
body.dark-mode nav {
   
    top: 10px;
    left: 0;
    width: 100%;
    background-color: black;
    z-index: 1000;
}
body.dark-mode .nav-links {
    background-color: black; /* Hintergrund hinter der mobilen Navigation im Dark Mode */
}

body.dark-mode .nav-links a {
    color: white; /* Navigation Links in der mobilen Ansicht - weiß */
}

body.dark-mode .nav-links a:hover {
    color: #ff3a3a; /* Hover-Effekt bleibt gleich */
}
body.dark-mode #meinLogoMobile {
    color: #fff;
}
body.dark-mode #meinLogoMobile:hover {
    color: #ff3a3a;
}
body.dark-mode .Projektname {
    color: #fff;
}
body.dark-mode .nav-links a:hover {
    color: #ff3a3a; /* Navigation Links im Dark Mode - weiß */
}

body.dark-mode .Plus{
    color: #fff;
}
body.dark-mode .Plus:hover{
    color: #ff3a3a;
}
/* Dark Mode: Bild ändern */
body.dark-mode .rotating-svg {
    content: url('path-to-your-white-star.svg');
}

/* Dark Mode Cursor */
body.dark-mode {
    cursor: url('../Schrift/sternchenweiss.png'), auto; /* Weißer Cursor im Dark Mode */
}

.nav-links a {
    cursor: url('../Schrift/cursorweiss.png'), pointer; /* Standardcursor */
}

/* Cursor für Navigation im Dark Mode */
body.dark-mode .nav-links a {
    cursor: url('../Schrift/cursorweiss.png'), pointer; /* Weißer Cursor für Navigation */
}


body, header {
    
    margin: 0 !important;
}

main {
    padding-top: 125px;
    padding-right: 10px;
}

/* PROJEKTE MOBIL*/

.Beschreibung {
    grid-column: 1/  span 5;
    }

.slider {
    grid-column: 1/ span 5;
    margin-right: 10px;
    display: flex;
    
}

.Plus {
    display: block; 
    position: fixed; 
    top: 0; 
    margin-top: -10px;
    margin-right: 5px;
    right: 0; 
    font-family: 'TWK Everett Medium'; 
    font-size: 25px; 
    color: #000; 
    padding: 10px; 
    background: none; 
    border: none; 
    cursor: pointer; 
    z-index: 1001; 
    cursor: url('../Schrift/sternchen.png') 8 8, auto;

    
}

/* Bei Hover die gleiche Farbe wie Links */
.Plus:hover {
    color: #ff3a3a; 
    transform: translateX(+5px); 
    transition: 0.3s ease; 
}

/* Ausrichtung des Plus-Buttons und des Menüs innerhalb der Navigation */
.Ausklappmenue {
    position: relative; 
    display: flex; 
    justify-content: flex-end; 
    padding-left: 10px;
    
    position: fixed;
    background-color: white;
    
    height: 20px;
    top: 10px;
    width: 100%;
    z-index: 1000;
    line-height:22px ;
}

/* Navigations-Links im mobilen Zustand zentrieren */
.nav-links {
    width: 100%;
    text-align: left;
    flex-direction: column;
    align-items: flex-start;
    max-height: 90vh;
    overflow-y: auto;
    margin: 0;
    padding: 0;

    position: fixed;
    top: -1000px;
    left: 0px;
    width: 100%;
    padding-left: 10px;
    
    margin-top: 10px;
    

    transition: all .3s;
    
}

.nav-links.sichtbar {
    top: 0px;
}

#meinLogoMobile {
    display: block;
    
}

#meinLogoMobile:hover {
    color: #ff3a3a; 
    transform: translateX(+5px); 
    transition: 0.3s ease;

}

.mobileunsichtbar
{
    display: none;
}


.spalte2{
    display: block;
    padding: 0;
    margin: 0;
    grid-column: 1/ span 5;
}

.spalte1{
    margin-left: 1px;
    grid-column: 1/ span 5;
}



.Spalten {
    display: grid; 
    grid-template-columns: repeat(5, 1fr); 
    grid-template-rows: auto auto; 
    gap: 10px; 
    margin: 0;
}

.Spalte3 {
    grid-column: 1 / span 2; 
    grid-row: 1; 
    margin: 0;
}

.Spalterechts {
    grid-column: 3 / span 3; 
    grid-row: 1; 
    align-self: start; 
    margin: 0;
    padding: 0;
}

.Projekt {
    display: block;
    margin: 0;
   
}

.Bildemmaabout{
    grid-column: 3/ span 3;
    margin-top: 10px;
    margin-left: -1px;
}


/* Mobile Ansicht für Projekte */
@media (max-width: 580px) {
    .Projekteinzeln {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        margin-bottom: 20px;
    }

    .Projektname {
        font-size: 16px;
        font-weight: medium;
        color: #000;
    }

    .Projektname:hover {
        color: #ff3a3a;
        cursor: url('../Schrift/sternchen.png') 8 8, auto;

        }
    

    .Beschreibung {
        font-size: 16px;
        
    }

    .Projekteinzeln.expanded .Beschreibung {
        display: block; /* Sichtbar, wenn die Klasse expanded hinzugefügt wird */
    }

    .Bild {
        object-fit: cover;
    }
}

.svg-wrapper{
    top: 13px;
    left: 58px;
    position: fixed;
}

#zielpunkt{
    height: 123px;
    margin-top: 50px;
}